> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a transfer

> Return a `Transfer`. Provide the `transfer_id` and Fintoc will return the funds to the sender.

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json POST /transfers/return
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /transfers/return:
    post:
      summary: Return a transfer
      description: >-
        Return a `Transfer`. Provide the `transfer_id` and Fintoc will return
        the funds to the sender.
      operationId: return-a-transfer
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          required: true
          schema:
            type: string
        - name: Fintoc-JWS-Signature
          in: header
          description: >-
            Provides additional security for outbound transfers. Check our
            Transfers Guide for more information:
            https://docs.fintoc.com/docs/outbound-transfers
          required: true
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          description: Ensures that a signature can only be used once
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - transfer_id
              properties:
                transfer_id:
                  type: string
                  description: ID of the Transfer you wish to return.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "object": "transfer",
                      "id": "tr_2z1Fa0RjLZs1Mu0ZQRObyRvqgX4",
                      "amount": 304500,
                      "currency": "MXN",
                      "direction": "inbound",
                      "status": "return_pending",
                      "transaction_date": "2025-06-25T22:32:11Z",
                      "post_date": "2025-06-25T00:00:00Z",
                      "comment": "Exchange",
                      "reference_id": "2112434",
                      "tracking_key": "202231259073500000000000000039",
                      "receipt_url": null,
                      "mode": "test",
                      "counterparty": {
                        "holder_id": "XWPL200405WB1",
                        "holder_name": "Scotty Wiegand",
                        "account_number": "012961123456789127",
                        "account_type": "clabe",
                        "institution": {
                          "id": "40012",
                          "name": "BBVA MEXICO",
                          "country": "mx"
                        }
                      },
                      "account_number": {
                        "id": "acno_2uRcgvFYy6IqP6AFFe1m6fg19z0",
                        "account_id": "acc_2uRcg1b19xr3UxCsn8alL1cmV8N",
                        "number": "7359690000300000142",
                        "created_at": "2025-03-17T12:35:41Z",
                        "updated_at": "2025-03-17T12:35:41Z",
                        "mode": "test",
                        "description": null,
                        "metadata": {},
                        "status": "enabled",
                        "is_root": true,
                        "object": "account_number"
                      },
                      "metadata": {},
                      "return_reason": null
                    }
              schema:
                type: object
                properties:
                  object:
                    type: string
                    example: transfer
                  id:
                    type: string
                    example: tr_2z1Fa0RjLZs1Mu0ZQRObyRvqgX4
                  amount:
                    type: integer
                    example: 304500
                    default: 0
                  currency:
                    type: string
                    example: MXN
                  direction:
                    type: string
                    example: inbound
                  status:
                    type: string
                    example: return_pending
                  transaction_date:
                    type: string
                    example: '2025-06-25T22:32:11Z'
                  post_date:
                    type: string
                    example: '2025-06-25T00:00:00Z'
                  comment:
                    type: string
                    example: Exchange
                  reference_id:
                    type: string
                    example: '2112434'
                  tracking_key:
                    type: string
                    example: '202231259073500000000000000039'
                  receipt_url: {}
                  mode:
                    type: string
                    example: test
                  counterparty:
                    type: object
                    properties:
                      holder_id:
                        type: string
                        example: XWPL200405WB1
                      holder_name:
                        type: string
                        example: Scotty Wiegand
                      account_number:
                        type: string
                        example: '012961123456789127'
                      account_type:
                        type: string
                        example: clabe
                      institution:
                        type: object
                        properties:
                          id:
                            type: string
                            example: '40012'
                          name:
                            type: string
                            example: BBVA MEXICO
                          country:
                            type: string
                            example: mx
                  account_number:
                    type: object
                    properties:
                      id:
                        type: string
                        example: acno_2uRcgvFYy6IqP6AFFe1m6fg19z0
                      account_id:
                        type: string
                        example: acc_2uRcg1b19xr3UxCsn8alL1cmV8N
                      number:
                        type: string
                        example: '7359690000300000142'
                      created_at:
                        type: string
                        example: '2025-03-17T12:35:41Z'
                      updated_at:
                        type: string
                        example: '2025-03-17T12:35:41Z'
                      mode:
                        type: string
                        example: test
                      description: {}
                      metadata:
                        type: object
                        properties: {}
                      status:
                        type: string
                        example: enabled
                      is_root:
                        type: boolean
                        example: true
                        default: true
                      object:
                        type: string
                        example: account_number
                  metadata:
                    type: object
                    properties: {}
                  return_reason: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````